Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

From: t petch <[email-masked]>
Date: Fri, 28 May 2021 11:59:10 +0100

On 27/05/2021 22:34, Janos Farkas wrote:
> All,
>
> This starts Working Group Last Call on draft-ietf-detnet-yang-12
>
> https://datatracker.ietf.org/doc/draft-ietf-detnet-yang/
>
> The Working Group Last Call ends on June 11th.
>
> Please send your comments to the working group mailing list.

Looking at it from an editorial point of view, there are a significant 
number of defects which make it 'Not Ready'.

IANA Considerations MUST be present as per YANG Guidelines, RFC8407; no 
registration, no YANG module

Security Considerations MUST follow the template as per YANG Guidelines

Examples MUST use the addresses reserved for IETF documentation, not 
those allocated to other organisations.

Requirements Language is out of date - see RFC8174

YANG revision statement must refer to the title i.e. 'RFC XXXX; 
Determistic Networking (DetNet) YANG Model'

The Information Model is now an RFC

It is unfortunate that RFC9016 is Informationsl - it needs to be a 
Normative Reference IMO; your AD is probably familiar with this problem 
as it occurred as recently as last month and will doubtless occur many 
times again

import yang-types references an obsolete RFC

YANG prefix is cumbersome - I think 'detnet' quite long enough and 
likely too long - it is a shame that dtn is in use elsewhere

references in the YANG module, RFC, IEEE or ietf-draft etc.,  MUST 
appear in I-D References and there needs to be a good reason why they 
are not Normative; I rarely see such a reason.

six authors, one for the AD to reflect on

Acknowledgements
(perhaps not a coincidence:-)

I plan to look at the technical content of the YANG which may, or may 
not, throw up similar a number of considerations.

Tom Petch

>
> Positive comments, e.g., "I've reviewed this document and believe it is ready for publication", are welcome!
>
> This is useful and important, even from authors.
>
>
>
> Thank you,
>
> János (DetNet Co-Chair & doc Shepherd)
>
>

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Tue, 1 Jun 2021 02:10:57 +0000

Hi Tom

Thanks for reviewing the document and giving comments. We will update the document based on your suggestions.

Best
Xuesong

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of t petch
Sent: Friday, May 28, 2021 6:59 PM
To: Janos Farkas <[email-masked]>; [email-masked]
Subject: Re: [Detnet] WG Last Call: draft-ietf-detnet-yang-12

> Please send your comments to the working group mailing list.

Looking at it from an editorial point of view, there are a significant number of defects which make it 'Not Ready'.

IANA Considerations MUST be present as per YANG Guidelines, RFC8407; no registration, no YANG module

Examples MUST use the addresses reserved for IETF documentation, not those allocated to other organisations.

YANG revision statement must refer to the title i.e. 'RFC XXXX; Determistic Networking (DetNet) YANG Model'

It is unfortunate that RFC9016 is Informationsl - it needs to be a Normative Reference IMO; your AD is probably familiar with this problem as it occurred as recently as last month and will doubtless occur many times again

YANG prefix is cumbersome - I think 'detnet' quite long enough and likely too long - it is a shame that dtn is in use elsewhere

references in the YANG module, RFC, IEEE or ietf-draft etc.,  MUST appear in I-D References and there needs to be a good reason why they are not Normative; I rarely see such a reason.

Acknowledgements

I plan to look at the technical content of the YANG which may, or may not, throw up similar a number of considerations.

Tom Petch

> János (DetNet Co-Chair & doc Shepherd)

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet